import server from '@/utils/request'

interface Params{
  wuid:String	                          //用户编码
  pageSize:String|Number	              //每页条数,示例值
  pageNo:String|Number	                //页数
  stationCode:String	                  //换电站编码
  accountCode:String	                  //账号编码
  accountName:String	                  //账号
  outTradeNo:String	                    //交易编码
  tradeType:String|Number	              //交易类型：1-充值，2-订单消费，9-提现
  payType:String|Number	                //支付方式：1-账户余额，2-微信，3-支付宝，4-网银，5 -充电补偿
}

//交易记录
export function traclist(params:Params) {
  return server.request({
    url: '/cloud/trade/list',
    method: 'get',
    params
  })
}

//上传凭证
export function uppingz(data:any) {
  return server.request({
    url: '/cloud/trade/submit',
    method: 'post',
    data
  })
}

//审核
export function examine(data:any) {
  return server.request({
    url: '/cloud/trade/approve',
    method: 'post',
    data
  })
}
